Skip to main content
GET
/
v1
/
nexus
/
physical_nexus
Get Physical Nexus
curl --request GET \
  --url https://api.trykintsugi.com/v1/nexus/physical_nexus \
  --header 'X-API-KEY: <api-key>' \
  --header 'x-organization-id: <api-key>'
import requests

url = "https://api.trykintsugi.com/v1/nexus/physical_nexus"

headers = {
"X-API-KEY": "<api-key>",
"x-organization-id": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'X-API-KEY': '<api-key>', 'x-organization-id': '<api-key>'}
};

fetch('https://api.trykintsugi.com/v1/nexus/physical_nexus', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
  "items": [
    {
      "country_code": "US",
      "state_code": "CA",
      "start_date": "2024-01-01",
      "category": "PHYSICAL_BUSINESS_LOCATION",
      "id": "phys_ABC123DEF456"
    },
    {
      "country_code": "US",
      "state_code": "NY",
      "start_date": "2024-03-15",
      "category": "TELECOMMUTING_OR_REMOTE_EMPLOYEE",
      "id": "phys_XYZ789GHI012"
    },
    {
      "country_code": "US",
      "state_code": "TX",
      "start_date": "2024-06-01",
      "category": "PHYSICAL_BUSINESS_LOCATION",
      "external_id": "ext_98765",
      "id": "phys_456DEF123ABC"
    },
    {
      "country_code": "US",
      "state_code": "FL",
      "start_date": "2024-07-01",
      "end_date": "2024-12-31",
      "category": "TELECOMMUTING_OR_REMOTE_EMPLOYEE",
      "external_id": "ext_54321",
      "id": "phys_321CBA654FED"
    },
    {
      "country_code": "US",
      "state_code": "WA",
      "start_date": "2024-09-01",
      "category": "PHYSICAL_BUSINESS_LOCATION",
      "id": "phys_654FED321CBA"
    }
  ],
  "total": 2,
  "page": 1,
  "size": 50,
  "pages": 1
}
{
"detail": "The request is missing a valid x-api-key."
}
{
"detail": "Entered an incorrect URL."
}
{
"detail": [
{
"type": "missing",
"loc": [
"header",
"x-organization-id"
],
"msg": "Field required"
}
]
}
{
"detail": "An unexpected error occurred"
}

Authorizations

X-API-KEY
string
header
required
x-organization-id
string
header
required

Query Parameters

country_code
string
state_code
string
order_by
string
default:country_code,state_code,start_date,end_date
page
integer
default:1

Page number

Required range: x >= 1
size
integer
default:50

Page size

Required range: 1 <= x <= 100

Response

Successfully retrieved physical nexuses

items
PhysicalNexusRead · object[]
required
total
integer
required
Required range: x >= 0
page
integer
required
Required range: x >= 1
size
integer
required
Required range: x >= 1
pages
integer
required
Required range: x >= 0